Subject: Re: [bug#37017] [PATCH] Add and update Ruby packages.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 23 Aug 2019 23:33:31 +0200

Hi Brian,

Brian Leung <[email-masked]> skribis:

> It turns out that one of those recipes needed something else to be updated
> first, so I've redone all the commits from before.
>
> I've also added ruby-solargraph, a LSP-compliant server for Ruby, but I'm
> not very experienced with Ruby, so I can't quite figure out how to make the
> test suite work on Guix.

Applied all the patches with minor changes to address lint warnings.

Thanks!

Ludo’.

PS: The MIME type should be “text/x-patch”, not “application/x-patch”.  :-)